Skip to main content
GET
/
entitlements
/
{content_key}
Error
A valid request URL is required to generate request examples
{
  "content_key": "<string>",
  "has_entitlement": true,
  "expires": "2023-11-07T05:31:56Z",
  "recurs_at": "2023-11-07T05:31:56Z"
}
{
"error": {
"message": "Invalid authentication credentials",
"code": "invalid_credentials"
}
}
{
"error": {
"message": "The Bearer token does not match the x-supertab-client-id header | Missing or invalid x-supertab-client-id | Invalid subject type {request_subject_type} found, {expected_token_type} expected | Forbidden",
"code": "client_id_mismatch | missing_or_invalid_x_supertab_client_id | invalid_subject_type | forbidden"
}
}
{
"error": [
{
"code": "validation_error",
"message": "Validation Error",
"errors": [
{
"attribute": "query -> subject",
"code": "missing",
"message": "field required"
}
]
}
]
}

Required Scopes

capi:read - Read access to Customer API resources

Authorizations

Authorization
string
header
required

Supertab OAuth2 flow for CAPI. See Authentication.

Headers

x-api-version
string<date>
default:9999-01-01

The version of the Customer API you are using.

x-supertab-client-id
string<tagged_id>
required

Your Client ID with Supertab. Used to identify the website on which Customer is making a Purchase.

Examples:

"live_client.4df706b5-297a-49c5-a4cd-2a10eca12ff9"

"test_client.4df706b5-297a-49c5-a4cd-2a10eca12ff9"

Path Parameters

content_key
string
required

The content_key to check access for

Example:

"site.cf637646-71a4-430d-aaea-a66f1a48a83c"

Response

Successful Response

A customer's entitlement status to a given content_key

content_key
string
required

The content_key being checked

Example:

"site.cf637646-71a4-430d-aaea-a66f1a48a83c"

has_entitlement
boolean
required

If the customer has access to this content

expires
string<date-time> | null
required

When the customer's access will expire

recurs_at
string<date-time> | null
required

If this access is a result of a subscription, the time the subscription will renew unless cancelled by the customer.